Gestionnaires de notifications
GET https://drop.stiac.it/api/notification-handlers/
curl --request GET \
--url 'https://drop.stiac.it/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://drop.stiac.it/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| search | Optionnel Chaîne de caractères | La chaîne de recherche. |
| search_by | Optionnel Chaîne de caractères | Champ par lequel vous effectuez la recherche. Les valeurs autorisées sont : name. |
| is_enabled | Optionnel Booléen | |
| type | Optionnel Chaîne de caractères | Champ par lequel vous effectuez la recherche. Les valeurs autorisées sont : email , webhook , slack , discord , telegram , microsoft_teams. |
| order_by | Optionnel Chaîne de caractères | Champ selon lequel ordonner les résultats. Les valeurs autorisées sont : notification_handler_id , datetime , last_datetime , name. |
| order_type | Optionnel Chaîne de caractères | L'ordre des résultats. Les valeurs autorisées sont : ASC pour un ordre croissant, et DESC pour un ordre décroissant. |
| page | Optionnel Entier | Le numéro de page à partir duquel vous souhaitez obtenir des résultats. Par défaut, 1. |
| results_per_page | Optionnel Entier | Le nombre de résultats que vous souhaitez par page. Les valeurs autorisées sont : 10 , 25 , 50 , 100 , 250 , 500 , 1000. Par défaut, 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-06-06 06:01:56",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://drop.stiac.it/api/notification-handlers?page=1",
"last": "https://drop.stiac.it/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://drop.stiac.it/api/notification-handlers?page=1"
}
}
GET https://drop.stiac.it/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://drop.stiac.it/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://drop.stiac.it/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-06-06 06:01:56",
}
}
POST https://drop.stiac.it/api/notification-handlers
| Paramètres | Détails | Description |
|---|---|---|
| name | Requis Chaîne de caractères | - |
| type | Requis Chaîne de caractères | Valeurs autorisées : email , webhook , slack , discord , telegram , microsoft_teams |
| Optionnel Chaîne de caractères | Available when: type = email Email | |
| webhook | Optionnel Chaîne de caractères | Available when: type = webhook Webhook URL |
| slack | Optionnel Chaîne de caractères | Available when: type = slack Slack webhook URL |
| discord | Optionnel Chaîne de caractères | Available when: type = discord Discord webhook URL |
| telegram | Optionnel Chaîne de caractères | Available when: type = telegram Telegram API Token |
| telegram_chat_id | Optionnel Chaîne de caractères | Available when: type = telegram Telegram Chat ID |
| microsoft_teams | Optionnel Chaîne de caractères | Available when: type = microsoft_teams Microsoft Teams webhook URL |
curl --request POST \
--url 'https://drop.stiac.it/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://drop.stiac.it/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://drop.stiac.it/api/notification-handlers/{notification_handler_id}
| Paramètres | Détails | Description |
|---|---|---|
| name | Optionnel Chaîne de caractères | - |
| type | Optionnel Chaîne de caractères | Valeurs autorisées : email , webhook , slack , discord , telegram , microsoft_teams |
| Optionnel Chaîne de caractères | Available when: type = email Email | |
| webhook | Optionnel Chaîne de caractères | Available when: type = webhook Webhook URL |
| slack | Optionnel Chaîne de caractères | Available when: type = slack Slack webhook URL |
| discord | Optionnel Chaîne de caractères | Available when: type = discord Discord webhook URL |
| telegram | Optionnel Chaîne de caractères | Available when: type = telegram Telegram API Token |
| telegram_chat_id | Optionnel Chaîne de caractères | Available when: type = telegram Telegram Chat ID |
| microsoft_teams | Optionnel Chaîne de caractères | Available when: type = microsoft_teams Microsoft Teams webhook URL |
| is_enabled | Optionnel Booléen | - |
curl --request POST \
--url 'https://drop.stiac.it/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://drop.stiac.it/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://drop.stiac.it/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://drop.stiac.it/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://drop.stiac.it/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \